#!/usr/bin/perl

# Some code/declarations common to the various pieces of lostPackets:
#  lostPackets.pl
#  lostPacketsFSA.pl
#  filterWarnings.pl

package LostPackets;

########################################################################
use constant {
	LPWUnrecogBSSID    => 0,
	LPWAPasClient      => 1,
	LPWNonAPasPartner  => 2,
	LPWAdHocUnrecogBSS => 3,
	LPWAdHocInfrasBSS  => 4,
	LPWBCastClient     => 5,
	LPWNoBSSID         => 6,
	LPWDS11            => 7,
	LPWNoSrc           => 8,
        LPWNoDir           => 9,
        LPWNoPathDir       => 10,
};

use constant {
  LPWARN_RECORDLIST => 0,
  LPWARN_MSG => 1,
  LPWARN_TBLSUFFIX => 2,
};

our @warningInfo = (
	[ [], 'MAC not in AP list used as BSSID',   'LPWUnrecogBSSID'],
	[ [], 'Selected AP as client',              'LPWAPasClient'],
	[ [], 'Selected non-AP as partner',         'LPWNonAPasPartner'],
	[ [], 'Unrecognized BSS found on DS=0,0',   'LPWAdHocUnrecogBSS'],
	[ [], 'Infrastructure BSS found on DS=0,0', 'LPWAdHocInfrasBSS'],
	[ [], 'Client is broadcast node',           'LPWBCastClient'],
	[ [], 'Couldn\'t determine BSSID',          'LPWNoBSSID'],
	[ [], 'DS=1,1 data packet',                 'LPWDS11'],
	[ [], 'Couldn\'t determine source',         'LPWNoSrc'],
	[ [], 'Couldn\'t determine direction',      'LPWNoDir'],
	[ [], 'Couldn\'t determine path direction', 'LPWNoPathDir'],
);
########################################################################

1;
