#!/bin/bash

export WDB_DB=wit_toydb

echo "using the following environment"
echo "  " WDB_HOST=$WDB_HOST
echo "  " WDB_USER=$WDB_USER
echo "  " WDB_PASSWD=$WDB_PASSWD
echo "  " WDB_DB=$WDB_DB

### create and populate the database
echo -e "\n\npopulating the database"
gunzip -c wit_toydb.gz | mysql -h $WDB_HOST -u $WDB_USER -p$WDB_PASSWD

### create indices ###
./createIndexTablesTable.pl

### merging #####
echo "merging tables ...."

echo -e "\n   merging mon1 and mon2"
./createBeaconIndex.pl -tnames 2 raw_mon1_i0_c0 raw_mon2_i0_c0 beacons_mon1_mon2_i0_c0
./createMergedTable.pl beacons_mon1_mon2_i0_c0

echo -e "\n\n   merging mon3 to mon1 and mon2"
./createBeaconIndex.pl -tnames 2 merged_mon1_mon2_i0_c0 raw_mon3_i0_c0 beacons_mon1_mon2_mon3_i0_c0
./createMergedTable.pl beacons_mon1_mon2_mon3_i0_c0

### inference ####
echo -e "\n\n\n doing inference"
./lostPackets.pl -nw -e regexpSim.dat merged_mon1_mon2_mon3_i0_c0


### contenders ###
echo -e "\n\n\n computing contenders"
./computeContention2.pl processed_mon1_mon2_mon3_i0_c0

echo -e "\n\n\n All Done!"
